<template>
  <div class="deposit_invoice">
    <PageCard class="deposit_paymentPage">
      <PageCard
        :title="$t('deposit.invoice')"
        :bordering="false"
        class="pageCard-padding">
        <template slot="neartitle">{{info.id}}</template>
        <template slot="info">
          <info style="margin-right: -20px;">
            {{$t('deposit.helper.invoice')}}
          </info>
        </template>
      </PageCard>
      <div class="deposit_invoice-container">
        <div class="deposit_invoice-info flex flex-middle">
          {{$t('deposit.send')}}: <span class="color-red ml-10">{{info.amountToSend}}</span>
          <span class="ml-10 text-uppercase">{{info.fromCurrency}}</span>
          <div
            class="pl-15"
            @click="copy(info.amountToSend)">
            <IconCopy fill="#757d8d"></IconCopy>
          </div>
        </div>
        <div class="deposit_invoice-info flex flex-middle">
          {{$t('deposit.toAddress')}}: <span
          class="color-accent ml-10 text-ellipsis"
          style="width: calc(100% - 130px);">{{info.payinAddress}}</span>
          <div
            class="pl-15"
            @click="copy(info.payinAddress)">
            <IconCopy fill="#757d8d"></IconCopy>
          </div>
        </div>
      </div>
      <div
        class="deposit_invoice-container flex flex-middle"
        style="padding: 0px 20px;">
        <div class="hr dashed"></div>
      </div>
      <div class="deposit_invoice-container">
        <div class="deposit_invoice-info flex flex-middle">
          {{$t('deposit.receive')}}: <span class="color-green ml-10">{{info.amount}}</span>
          <span class="ml-10 text-uppercase">{{info.toCurrency}}</span>
        </div>
        <div class="deposit_invoice-info flex flex-middle">
          {{$t('deposit.toAddress')}}: <span class="color-lightBlue ml-10 text-ellipsis">{{info.payoutAddress}}</span>
        </div>
      </div>
      <div class="deposit_invoice-email flex flex-middle">
        E-mail: <span class="color-lightBlue ml-10">{{info.email || 'NO'}}</span>
      </div>
      <PageCard
        :headerClasses="['advMaterials-background']"
        :bordering="false"
        :pointed="false"
        class="pageCard-padding-small"
        :title="$t('deposit.expectedRate')">
        <template slot="info">
          <info>
            {{$t('deposit.warning_2')}}
          </info>
        </template>
      </PageCard>
      <div class="deposit_invoice-warning flex flex-middle flex-around">
        <div>
          <img
            class="deposit_invoice-warning-img"
            src="~/static/icons/warning.png"
            alt="">
        </div>
        <div class="pl-20">{{$t('deposit.warning')}}</div>
      </div>
      <div class="deposit_invoice-container deposit_invoice-container-inverted flex flex-center">
        <div class="pt-15 pb-15">
          <Btn
            style="width: 225px"
            borderColor="#36d052"
            @click="copyInvoice">
            <span class="color-secondary">{{$t('deposit.copy')}}</span>
            <template slot="img">
              <IconCopy
                style="right: 0px;"
                class="icon_align-right"
                :fill="copied ? '#36d052' : '#8591a9'"></IconCopy>
            </template>
          </Btn>
        </div>
      </div>
    </PageCard>
  </div>
</template>

<script>
  import PageCard from '~/components/UI/PageCard';
  import IconCopy from '~/components/UI/icons/icon-copy';
  import copyClipboard from '~/components/utils/copy';
  import Btn from '~/components/UI/BtnSign_dark';
  import info from '~/components/common/info';
  /*import Modal from '~/components/UI/Modal/Small';*/

  export default {
    name: "SubPart3",
    props: {
      info: Object
    },
    data() {
      return {
        copied: false
      }
    },
    components: {
      PageCard,
      IconCopy,
      Btn,
      info
    },
    methods: {
      copy(text) {
        this.copied = true;
        copyClipboard(text, this.$t('common.copy'));
      },
      copyInvoice() {
        const text = `
Address:
${this.info.payinAddress},

Amount:
${this.info.amountToSend}(${this.info.fromCurrency.toUpperCase()})

Invoice:
${this.info.id}
`;
        this.copy(text);
      }
    }
  }
</script>
